org.modeshape.jdbc.metadata

## Interface JDBCColumnPositions.PROCEDURES

- Enclosing interface:
    JDBCColumnPositions

      public static interface JDBCColumnPositions.PROCEDURES

  This class contains constants representing column positions on ResultSet returned by getProcedures method on DatabaseMetaData. The class has constants for columns whose values are to be hardcoded in MMDatabaseMetaData object. `MAX_COLUMNS` is the number of columns to be read from server's results from getElements method on `Metadata object`. `JAVA_CLASS` is the column position for element data type on server's Results object.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MAX_COLUMNS` Number of columns to be read from results returned getCrossReferences method.
    `static int` | `PROCEDURE_CAT` Position of column that contains catalog name of the procedure.
    `static int` | `PROCEDURE_NAME`
    `static int` | `PROCEDURE_SCHEM`
    `static int` | `PROCEDURE_TYPE` Position of column Procedure type.
    `static int` | `REMARKS`
    `static int` | `RESERVED_1` Position of column the is reserved for future use.
    `static int` | `RESERVED_2` Position of column the is reserved for future use.
    `static int` | `RESERVED_3` Position of column the is reserved for future use.
    `static int` | `SPECIFIC_NAME`

- - ### Field Detail

    - #### MAX_COLUMNS

          static final int MAX_COLUMNS

      Number of columns to be read from results returned getCrossReferences method.
      See Also:
        Constant Field Values

    - #### PROCEDURE_CAT

          static final int PROCEDURE_CAT

      Position of column that contains catalog name of the procedure.
      See Also:
        Constant Field Values

    - #### PROCEDURE_SCHEM

          static final int PROCEDURE_SCHEM

      See Also:
        Constant Field Values

    - #### PROCEDURE_NAME

          static final int PROCEDURE_NAME

      See Also:
        Constant Field Values

    - #### RESERVED_1

          static final int RESERVED_1

      Position of column the is reserved for future use.
      See Also:
        Constant Field Values

    - #### RESERVED_2

          static final int RESERVED_2

      Position of column the is reserved for future use.
      See Also:
        Constant Field Values

    - #### RESERVED_3

          static final int RESERVED_3

      Position of column the is reserved for future use.
      See Also:
        Constant Field Values

    - #### REMARKS

          static final int REMARKS

      See Also:
        Constant Field Values

    - #### PROCEDURE_TYPE

          static final int PROCEDURE_TYPE

      Position of column Procedure type.
      See Also:
        Constant Field Values

    - #### SPECIFIC_NAME

          static final int SPECIFIC_NAME

      See Also:
        Constant Field Values

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.